package beilv.shopping.service;

import beilv.shopping.domain.QmjsShoppingMall;

import java.util.List;


/**
 * 商城Service接口
 * 
 * @author lc
 * @date 2025-01-02
 */
public interface IQmjsShoppingMallService 
{
    /**
     * 查询商城
     * 
     * @param id 商城主键
     * @return 商城
     */
    public QmjsShoppingMall selectQmjsShoppingMallById(Long id);

    /**
     * 查询商城列表
     * 
     * @param qmjsShoppingMall 商城
     * @return 商城集合
     */
    public List<QmjsShoppingMall> selectQmjsShoppingMallList(QmjsShoppingMall qmjsShoppingMall);

    /**
     * 新增商城
     * 
     * @param qmjsShoppingMall 商城
     * @return 结果
     */
    public int insertQmjsShoppingMall(QmjsShoppingMall qmjsShoppingMall);

    /**
     * 修改商城
     * 
     * @param qmjsShoppingMall 商城
     * @return 结果
     */
    public int updateQmjsShoppingMall(QmjsShoppingMall qmjsShoppingMall);

    /**
     * 批量删除商城
     * 
     * @param ids 需要删除的商城主键集合
     * @return 结果
     */
    public int deleteQmjsShoppingMallByIds(String ids);

    /**
     * 删除商城信息
     * 
     * @param id 商城主键
     * @return 结果
     */
    public int deleteQmjsShoppingMallById(Long id);

    int goodsStatus(QmjsShoppingMall qmjsShoppingMall);

}
